---
title: fx
slug: Web/SVG/Attribute/fx
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>fx</code></strong> attribute defines the x-axis coordinate of the focal point for a radial gradient.</p>

<p>Only one element is using this attribute: {{SVGElement("radialGradient")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[4,9]">&lt;svg viewBox="0 0 480 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;defs&gt;
    &lt;radialGradient id="gradient1" cx="0.5" cy="0.5" r="0.5"
        fx="0.35" fy="0.35" fr="5%"&gt;
      &lt;stop offset="0%" stop-color="white"/&gt;
      &lt;stop offset="100%" stop-color="darkseagreen"/&gt;
    &lt;/radialGradient&gt;
    &lt;radialGradient id="gradient2" cx="0.5" cy="0.5" r="0.5"
        fx="0.75" fy="0.35" fr="5%"&gt;
      &lt;stop offset="0%" stop-color="white"/&gt;
      &lt;stop offset="100%" stop-color="darkseagreen"/&gt;
    &lt;/radialGradient&gt;
  &lt;/defs&gt;

  &lt;circle cx="100" cy="100" r="100" fill="url(#gradient1)" /&gt;
  &lt;circle cx="100" cy="100" r="100" fill="url(#gradient2)" style="transform: translateX(240px);" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "480", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("length")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td>Coincides with the presentational value of {{SVGAttr("cx")}} for the element whether the value for <code>cx</code> was inherited or not.</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>None</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;svg viewBox="0 0 120 120" width="200" height="200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;defs&gt;
    &lt;radialGradient id="Gradient" cx="0.5" cy="0.5" r="0.5"
        fx="0.35" fy="0.35" fr="5%"&gt;
      &lt;stop offset="0%" stop-color="red"/&gt;
      &lt;stop offset="100%" stop-color="blue"/&gt;
    &lt;/radialGradient&gt;
  &lt;/defs&gt;

  &lt;rect x="10" y="10" rx="15" ry="15" width="100" height="100"
      fill="url(#Gradient)" stroke="black" stroke-width="2"/&gt;

  &lt;circle cx="60" cy="60" r="50" fill="transparent" stroke="white" stroke-width="2"/&gt;
  &lt;circle cx="35" cy="35" r="2" fill="white" stroke="white"/&gt;
  &lt;circle cx="60" cy="60" r="2" fill="white" stroke="white"/&gt;
  &lt;text x="38" y="40" fill="white" font-family="sans-serif" font-size="10pt"&gt;(fx,fy)&lt;/text&gt;
  &lt;text x="63" y="63" fill="white" font-family="sans-serif" font-size="10pt"&gt;(cx,cy)&lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("Example", "200", "200")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#RadialGradientElementFXAttribute", "fx")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#RadialGradientElementFXAttribute", "fx")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.radialGradient.fx")}}</p>
